# Uses of Class
org.apache.commons.math3.geometry.partitioning.BoundaryProjection

Packages that use BoundaryProjection
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.

## Uses of BoundaryProjection in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that return BoundaryProjection
Modifier and Type
Method
Description
`BoundaryProjection<Euclidean1D>`
IntervalsSet.`projectToBoundary(Point<Euclidean1D> point)`
Project a point on the boundary of the region.

## Uses of BoundaryProjection in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return BoundaryProjection
Modifier and Type
Method
Description
`BoundaryProjection<S>`
AbstractRegion.`projectToBoundary(Point<S> point)`
Project a point on the boundary of the region.
`BoundaryProjection<S>`
Region.`projectToBoundary(Point<S> point)`
Project a point on the boundary of the region.

## Uses of BoundaryProjection in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return BoundaryProjection
Modifier and Type
Method
Description
`BoundaryProjection<Sphere1D>`
ArcsSet.`projectToBoundary(Point<Sphere1D> point)`
Project a point on the boundary of the region.